#
# spec file for package ccaudio2
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ccaudio2
%define lname	libccaudio2-1_0-0
Url:            http://www.gnu.org/software/ccaudio/
Summary:        A C++ class framework for processing audio files
License:        LGPL-3.0+
Group:          Development/Libraries/C and C++
Version:        1.0.0
Release:        14.4
# bayonne2 is incompatible with ccaudio2-2.x

Source:         http://ftp.gnu.org/gnu/ccaudio/%name-%version.tar.gz
Source2:        http://ftp.gnu.org/gnu/ccaudio/%name-%version.tar.gz.sig
Source3:        %name.keyring
Source4:        baselibs.conf
Patch:          ccaudio2-man.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  glibc-devel
BuildRequires:  libgsm-devel
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  speex-devel
%if 0%{?suse_version} >= 1230
BuildRequires:  gpg-offline
%endif

%description
The GNU telephonic audio library covers a range of functionality including
tone generation and detection, streaming and transcoding of encoded audio
frames, accessing of audio files on disk, phrasebook management, and audio
utilities.

%package -n %lname
Summary:        The GNU telephonic audio library
Group:          System/Libraries

%description -n %lname
The GNU telephonic audio library covers a range of functionality including
tone generation and detection, streaming and transcoding of encoded audio
frames, accessing of audio files on disk, phrasebook management, and audio
utilities.

%package devel
Summary:        Include-files and development files for ccaudio
Group:          Development/Libraries/C and C++
Requires:       %lname = %version
Requires:       glibc-devel
Requires:       libstdc++-devel

%description devel
This package provides header and support files for building applications
that use GNU ccAudio.

%package doc
Summary:        Generated class documentation for ccaudio2
Group:          Documentation/HTML
%if 0%{?suse_version} >= 1130 || 0%{?fedora_version}
BuildArch:      noarch
%endif

%description doc
Generated class documentation for the ccaudio2 libraries from header
files, html browsable.

%prep
%{?gpg_verify: %gpg_verify %{S:2}}
%setup -q
%patch -p1

%build
autoreconf --force --install
%configure --with-pic --disable-static 
# %%configure --with-pic --disable-static  --disable-gsm
%{__make} %{?_smp_mflags}

%install
%{__make} DESTDIR=%{buildroot} INSTALL="install -p" install
find "%buildroot/%_libdir" -type f -name "*.la" -delete
%fdupes %buildroot/%_prefix

%post   -n libccaudio2-1_0-0 -p /sbin/ldconfig
%postun -n libccaudio2-1_0-0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/*/*

%files -n %lname
%defattr(-,root,root)
%doc COPYING
%_libdir/libccaudio2-1.0.so.0*
%_libdir/ccaudio2-1.0/

%files devel
%defattr(-,root,root)
%doc AUTHORS NEWS README TODO ChangeLog
%{_libdir}/*.so
%{_includedir}/cc++/
%{_libdir}/pkgconfig/*.pc

%files doc
%defattr(-,root,root)
%doc doc/html/

%changelog
* Thu Jun 13 2013 jengelh@inai.de
- Implement shlib packaging guidelines. Signature verification.
  Build and ship documentation.
* Wed Feb 22 2012 kkeil@linux-pingi.de
- downgrade to version 1.0.0
  * the only user bayonne2 is incompatible with 2.X.X versions
* Wed Feb 22 2012 kkeil@linux-pingi.de
- create /usr/include/c++/audio2.h for compatibility
* Tue Feb 21 2012 kkeil@linux-pingi.de
- create a libccaudio2 subpackage
* Tue Feb 21 2012 kkeil@linux-pingi.de
- update to version 2.0.5
* Fri Sep 30 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Fri Jun  4 2010 coolo@novell.com
- buildrequire pkg-config to fix provides
* Wed Jun 17 2009 coolo@novell.com
- fix build with automake 1.11
* Tue May 13 2008 crrodriguez@suse.de
- fix -devel subpackage Requires
* Mon Apr 14 2008 schwab@suse.de
- Work around misuse of libtool.
* Tue Aug 15 2006 kkeil@suse.de
- update to 0.9.9
  * fix for adpcm audio codec
  * g.723 codecs, additional file name rules for .a24/.a32/.a40
  * combined g.721/723 codecs into new adpcm.codec module
-  fix const declaration for speex codec
- compile C++ with RPM_OPT_FLAGS
* Tue Jul 18 2006 kkaempf@suse.de
- update to 0.9.7
  - g721 adpcm codec added
  - g723 coded removed
- build with gsm and speex support
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Oct 28 2005 ro@suse.de
- fixed nfb
* Wed Oct 26 2005 kkaempf@suse.de
- build needs commoncpp2 now.
* Tue Oct 25 2005 kkaempf@suse.de
- remove GSM codec
- fix common c++ include dir path to match CommonC++ package
* Tue Oct 25 2005 kkaempf@suse.de
- New package ccaudio2, take over from ccaudio
